# $Revision: 1.10 $, $Date: 2007/10/21 12:19:10 $
%define	_lang	fr
%define	_reg	FR
%define	_lare	%{_lang}-%{_reg}
Summary:	French resources for SeaMonkey
Summary(pl.UTF-8):	Francuskie pliki językowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1.4
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ftp.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	d5d726e416c4706ac85f552aaf2bcdbb
Source1:	http://www.mozilla-enigmail.org/downloads/lang/0.9x/enigmail-%{_lare}-0.9x.xpi
# Source1-md5:	8f4c3c346cdaa6b8f9a698625bd598c6
Source2:	gen-installed-chrome.sh
URL:		http://www.mozilla.org/projects/seamonkey/
BuildRequires:	unzip
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
French resources for SeaMonkey.

%description -l pl.UTF-8
Francuskie pliki językowe dla SeaMonkeya.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale bin/chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar \
	> lang-%{_lang}-installed-chrome.txt
./gen-installed-chrome.sh locale chrome/enigmail-%{_lare}.jar \
	>> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install bin/chrome/{%{_reg},%{_lare},%{_lang}-unix}.jar $RPM_BUILD_ROOT%{_chromedir}
install chrome/enigmail-%{_lare}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}
cp -r bin/{defaults,searchplugins} $RPM_BUILD_ROOT%{_datadir}/seamonkey
cp -r bin/components/myspell $RPM_BUILD_ROOT%{_datadir}/seamonkey

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/%{_reg}.jar
%{_chromedir}/enigmail-%{_lare}.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt
%{_datadir}/seamonkey/searchplugins/googlefr.*
%{_datadir}/seamonkey/defaults/isp/%{_reg}
%{_datadir}/seamonkey/defaults/messenger/%{_reg}
%{_datadir}/seamonkey/defaults/profile/%{_reg}
%{_datadir}/seamonkey/myspell/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-fr.spec,v $
Revision 1.10  2007/10/21 12:19:10  hawk
- updated to 1.1.4

Revision 1.9  2007/06/01 11:09:21  hawk
- updated to 1.1.1

Revision 1.8  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.6  2007/01/23 08:59:57  hawk
- updated to 1.0.7

Revision 1.5  2006/11/15 11:02:32  qboosh
- updated to 1.0.5

Revision 1.4  2006/07/31 15:47:25  sparky
- use macros

Revision 1.3  2006/07/31 14:18:00  sparky
- up to 1.0.2
- added enigmail translation

Revision 1.2  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.1  2006/04/16 19:48:37  sparky
- NEW, builds and works, myspell not tested
